"""
	Smart Mobility Platform ™
	© 2022-2024 - Bouygues Energies & Services
"""

"""
	ChangeLog du projet

	1.0 : 2022-11-07 - LMA : version initiale
	1.1 : 2023-01-03 - LMA : suppression usage project.gui.constantes.getMessage("CONNECT_JOYSTICK")
	1.2 : version pour forum
	1.3 : 2023-09-29 - 2023-07-12 - LMA : 
		* gestion mode large :
		  * popups/STD/STD_POPUP_VIDEO
		  * perspective.gui.video.openPopup
		* popups/STD/STD_POPUP_VIDEO : amélioration positionnement position mire_ptz
		* templates/STD/Video/VID_POPUP_POSITION : ajout pour repositionnement popup
		(2023-07-12) Module BYES-VideoViewerNextGen-1.8.14 pour support HTTPS/WSS
		popups/STD/STD_POPUP_VIDEO : maj binding src
		shared/commun/constantesCustom : ajout settings
		pages/STD/VID/STD_VID_01 : bouton start : gestion config serveur : cas HTTP seul, HTTP/HTTPS, HTTPS seul
	1.4 : 2024-01-09 - LMA :
		BYES-VideoViewerNextGen 8.1.15+ : gestion settings minRtpPort,maxRtpPort,addLocalIpAddress
		pages/STD/VID/STD_VID_01 : button "config & start" ; add usage minRtpPort,maxRtpPort,addLocalIpAddress
	1.5 : 2024-02-16 - LMA :
		pages/STD/VID/STD_VID_01 : ajout bouton "popup pattern"
	1.6 : 2024-03-20 - LMA : Module BYES-VideoViewerNextGen-1.8.21+ : utilisation jetty ignition
		pages/STD/VID/STD_VID_01 : button "config & start" : suppression paramètres devenus inutiles avec la nouvelle version de system.byes.webrtc.configureWebrtcServer
		popups/STD/STD_POPUP_VIDEO : IFrameVideo.src : maj script du binding pour suppression paramètres inutiles et reprise synthaxe url
	1.7 : 2024-04-02 - LMA :
		templates/STD/Video/PTZ_BUTTON : maj gestion get preset
		templates/STD/Video/PTZ_MIRE : maj gestion get preset
		perspective.gui.video.openPopup : taille en px au lieu de % pour ameliorer mise à l'echelle
	1.8 : 2024-08-06 - 2024-11-16 - LMA : gestion qualité pour le cas du re-encodage (vp8,vp9 et h264)
		perspective.gui.video.getQualityStreamProcess : ajout
		perspective.gui.video.openPopup : maj
		popups/STD/STD_POPUP_VIDEO : maj
		templates/STD/Video/VID_POPUP_POSITION : maj
		support "output_stream_process" dans VIDEO_SERVER["demoCamera"]["xxx"] pour configuration re-encodage si besoin
		support "pipeline" dans VIDEO_SERVER["demoCamera"]["xxx"] pour gestion custom pipeline		
		perspective.gui.video.initModuleKeys() : ajout support 
		pages/STD/VID/STD_VID_01 : config & Start : suppression saisie addLocalIpAddress remplacer par @ de la gatewxay
		BYES-VideoViewerNextGen-1.8.26+ pour usage avec ce projet		
	1.9 : 2024-11-18 - LMA : 
		BYES-VideoViewerNextGen-1.8.28+ pour usage avec ce projet.
		remplacement appel system.byes.utils.message.* utilisant le modue BYES-Utils par des appels aux fonctions system.byes.utilsvideo.message.* intégrés dans le module video
		shared.commun.constantesCustom.PLATFORM["joystick_on"] = False par défaut
		vision STD/MUR/STD_MUR_01 : reprise des path des icones pour les regrouper dans le dossier starter_kit_video afin de simplifier la distribution du projet
		ajout settings shared.commun.constantesCustom.VIDEO_SERVER.rtpMinPort,rtpMaxPort
	1.10 : 2024-11-22 - LMA :	
		perspective.gui.video.getQualityStreamProcess() : ajout plusieurs choix encoder h264
		shared.commun.constantesCustom : ajout exemple CAM_H265 avec réencodage h264 par GPU carte nvidia
		ajout images manquantes dans dossier images starter_kit_video
		affichage version
	1.11 : 2024-12-05 - LMA :
		BYES-VideoViewerNextGen-1.8.30+ pour usage avec ce projet.
		perspective.gui.video.getQualityStreamProcess() : ajout cas h265
		popups/STD/STD_POPUP_VIDEO : ajout cas h265
		Le flux h265 n'est pas réencodé.
		Fonctionne si poste client avec carte NVIDIA (décodage matériel) et chrome lancé avec le paramètre:		  
		```
		cd "C:\Program Files\Google\Chrome\Application"
		chrome.exe --enable-features=WebRtcAllowH265Receive --force-fieldtrials=WebRTC-Video-H26xPacketBuffer/Enabled
		```
		Ne fonctionne pas sur edge. Mais devrait fonctionner sur safari.
"""

def getVersion():
	return "1.11"
