"""
	Smart Multifaceted Platform ™
	© 2019 - 2022 - Bouygues Energies & Services
	
	Bibliothèque Client Event Scripts - startup
"""

import system
import shared.commun.logger
import shared.commun.constantes

if shared.commun.constantes.getConstantePLATFORM("joystick_on"):
	import project.gui.joystick

strLib = "project.clientevents.startupVideoWall"

def run():

	# initilisation des logger client
	shared.commun.logger.startLogClient()
	
	#Definition de la langue par defaut
	system.util.setLocale('fr')
	
	#Initialisation de l'overlay
	system.tag.setOverlaysEnabled(0)
		
	if shared.commun.constantes.getConstantePLATFORM("joystick_on"):
		project.gui.joystick.init()

