"""
	Smart Multifaceted Platform ™
	© 2019 - 2022 - Bouygues Energies & Services

	Bibliothèque de constantes
"""

import system
import shared.commun.logger
import shared.commun.constantesCustom

strLib = "shared.commun.constantes"

PLATFORM = shared.commun.constantesCustom.PLATFORM

try:
	VIDEO_SERVER = shared.commun.constantesCustom.VIDEO_SERVER
except:
	VIDEO_SERVER = None
	
def getAllConstantesVIDEO():
	global VIDEO_SERVER
	return VIDEO_SERVER

def getProject():
	return system.project.getProjectName()

def getConstantePLATFORM(key):
	try:
		global PLATFORM
		global strLib
		strFct="getConstantePLATFORM"
		return PLATFORM[key]
	except:
		shared.commun.logger.logERROR(strFct=strFct,strLib=strLib)
		return False

def getAllConstantesPLATFORM():
	global PLATFORM
	return PLATFORM
